Bug 1030771 - [abrt] WARNING: CPU: 0 PID: 549 at lib/dma-debug.c:877 check_unmap+0x837/0x930()
[abrt] WARNING: CPU: 0 PID: 549 at lib/dma-debug.c:877 check_unmap+0x837/0x930()
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:304d527483144345b87c1e204a9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 00:50 EST by collura
Modified: 2014-01-08 07:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 07:27:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (122.03 KB, text/plain)
2013-11-15 00:50 EST, collura
no flags Details

  None (edit)
Description collura 2013-11-15 00:50:33 EST
Additional info:
reporter:       libreport-2.1.9
WARNING: CPU: 0 PID: 549 at lib/dma-debug.c:877 check_unmap+0x837/0x930()
rtl8188ee 0000:05:00.0: DMA-API: device driver tries to free DMA memory it has not allocated [device address=0x0000000000000000] [size=768 bytes]
Modules linked in: tcp_lp fuse xt_CHECKSUM nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6t_REJECT xt_conntrack tun bnep bluetooth ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_hda_codec_conexant snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep arc4 snd_seq snd_seq_device snd_pcm rtl8188ee amd_freq_sensitivity rtl_pci rtlwifi snd_page_alloc snd_timer kvm mac80211 snd crct10dif_pclmul crc32_pclmul cfg80211 crc32c_intel soundcore k10temp edac_core toshiba_acpi alx ghash_clmulni_intel joydev mdio sparse_keymap fam15h_power serio_raw i2c_piix4 edac_mce_amd rfkill microcode shpchp wmi video uinput acpi_cpufreq binfmt_misc radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core
CPU: 0 PID: 549 Comm: wpa_supplicant Not tainted 3.13.0-0.rc0.git1.3.fc21.x86_64 #1
Hardware name: TOSHIBA Satellite L75D-A/Larne, BIOS 1.10 05/16/2013
 0000000000000009 ffff88009c0a7638 ffffffff81740c94 ffff88009c0a7680
 ffff88009c0a7670 ffffffff8107570d ffff8801957a0c18 0000000000000300
 0000000000000000 0000000000000000 0000000000000092 ffff88009c0a76d0
Call Trace:
 [<ffffffff81740c94>] dump_stack+0x54/0x74
 [<ffffffff8107570d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8107577c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff8139cc8c>] ? debug_dma_mapping_error+0x7c/0x90
 [<ffffffff8139ead7>] check_unmap+0x837/0x930
 [<ffffffff810b8c95>] ? sched_clock_cpu+0xb5/0x100
 [<ffffffff81021b65>] ? native_sched_clock+0x15/0x80
 [<ffffffff8139ec2f>] debug_dma_unmap_page+0x5f/0x70
 [<ffffffffa02b3824>] rtl_pci_reset_trx_ring+0x1a4/0x250 [rtl_pci]
 [<ffffffffa040dc2a>] rtl_ps_enable_nic+0x6a/0x70 [rtlwifi]
 [<ffffffffa0424a58>] rtl88e_phy_set_rf_power_state+0x3b8/0x410 [rtl8188ee]
 [<ffffffffa040da89>] rtl_ps_set_rf_state+0x39/0xb0 [rtlwifi]
 [<ffffffffa040db3b>] _rtl_ps_inactive_ps+0x3b/0xc0 [rtlwifi]
 [<ffffffffa040dd14>] rtl_ips_nic_on+0x84/0xb0 [rtlwifi]
 [<ffffffffa040b090>] rtl_op_config+0x2c0/0x350 [rtlwifi]
 [<ffffffffa03502ad>] ieee80211_hw_config+0x9d/0x6e0 [mac80211]
 [<ffffffffa035039b>] ? ieee80211_hw_config+0x18b/0x6e0 [mac80211]
 [<ffffffffa0369dc2>] ieee80211_recalc_idle+0x22/0x30 [mac80211]
 [<ffffffffa0359e48>] __ieee80211_start_scan+0x168/0x9b0 [mac80211]
 [<ffffffffa035bc82>] ieee80211_request_scan+0x32/0x50 [mac80211]
 [<ffffffffa036fea8>] ieee80211_scan+0x68/0xc0 [mac80211]
 [<ffffffffa02e6432>] nl80211_trigger_scan+0x622/0x740 [cfg80211]
 [<ffffffff8163e21c>] genl_family_rcv_msg+0x17c/0x380
 [<ffffffff8163e420>] ? genl_family_rcv_msg+0x380/0x380
 [<ffffffff8163e4ae>] genl_rcv_msg+0x8e/0xd0
 [<ffffffff8163c069>] netlink_rcv_skb+0xa9/0xc0
 [<ffffffff8163c668>] genl_rcv+0x28/0x40
 [<ffffffff8163b6ad>] netlink_unicast+0xdd/0x190
 [<ffffffff8163ba89>] netlink_sendmsg+0x329/0x750
 [<ffffffff815eae9b>] sock_sendmsg+0x8b/0xc0
 [<ffffffff811a2d87>] ? might_fault+0x57/0xb0
 [<ffffffff811a2dd0>] ? might_fault+0xa0/0xb0
 [<ffffffff811a2d87>] ? might_fault+0x57/0xb0
 [<ffffffff815fa386>] ? verify_iovec+0x56/0xd0
 [<ffffffff815ebec0>] ___sys_sendmsg+0x3f0/0x400
 [<ffffffff81021b65>] ? native_sched_clock+0x15/0x80
 [<ffffffff810b8dcf>] ? local_clock+0x5f/0x70
 [<ffffffff810ebeef>] ? lock_release_holdtime.part.29+0xf/0x1a0
 [<ffffffff810f15f8>] ? lock_release_non_nested+0x308/0x350
 [<ffffffff811a2d87>] ? might_fault+0x57/0xb0
 [<ffffffff81213717>] ? fget_light+0x3a7/0x510
 [<ffffffff811a2d87>] ? might_fault+0x57/0xb0
 [<ffffffff815ec5c2>] __sys_sendmsg+0x42/0x80
 [<ffffffff815ec612>] SyS_sendmsg+0x12/0x20
 [<ffffffff81753c29>] system_call_fastpath+0x16/0x1b
Comment 1 collura 2013-11-15 00:50:49 EST
Created attachment 824316 [details]
File: dmesg
Comment 2 Justin M. Forbes 2014-01-03 17:03:40 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 3 collura 2014-01-08 02:04:09 EST
havent seen this lately so could probably close

Note You need to log in before you can comment on or make changes to this bug.